### Method

# RB Shell add_uri

#### Declaration [src]

    gboolean
    rb_shell_add_uri (
      RBShell* shell,
      const char* uri,
      const char* title,
      const char* genre,
      GError** error
    )

#### Description [src]

Adds the specified URI to the Rhythmbox database. Whether the title and genre specified are actually used is up to the source that handles the URI.

#### Parameters

`uri`

  Type: `const char*`

  The URI to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  Optional title value for the URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`genre`

  Type: `const char*`

  Optional genre value for the URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the URI was added successfully.